Subject: Re: [PATCH v4 18/28] docs: convert docs to ReST and rename to *.rst

From: Mauro Carvalho Chehab <[email-masked]>
Date: Thu, 13 Jun 2019 06:58:43 -0300

Em Wed, 12 Jun 2019 17:25:39 -0700
"Srivatsa S. Bhat" <[email-masked]> escreveu:

> On 6/12/19 10:52 AM, Mauro Carvalho Chehab wrote:
> > Convert the PM documents to ReST, in order to allow them to
> > build with Sphinx.
> > 
> > The conversion is actually:
> >   - add blank lines and identation in order to identify paragraphs;
> >   - fix tables markups;
> >   - add some lists markups;
> >   - mark literal blocks;
> >   - adjust title markups.
> > 
> > At its new index.rst, let's add a :orphan: while this is not linked to
> > the main index.rst file, in order to avoid build warnings.
> > 
> > Signed-off-by: Mauro Carvalho Chehab <[email-masked]>
> > Acked-by: Bjorn Helgaas <[email-masked]>
> > Acked-by: Mark Brown <[email-masked]>
> > ---  
> 
> [...]
> 
> > diff --git a/Documentation/power/suspend-and-cpuhotplug.txt b/Documentation/power/suspend-and-cpuhotplug.rst
> > similarity index 90%
> > rename from Documentation/power/suspend-and-cpuhotplug.txt
> > rename to Documentation/power/suspend-and-cpuhotplug.rst
> > index a8751b8df10e..9df664f5423a 100644
> > --- a/Documentation/power/suspend-and-cpuhotplug.txt
> > +++ b/Documentation/power/suspend-and-cpuhotplug.rst
> > @@ -1,10 +1,15 @@
> > +====================================================================
> >  Interaction of Suspend code (S3) with the CPU hotplug infrastructure
> > +====================================================================
> >  
> > -     (C) 2011 - 2014 Srivatsa S. Bhat <[email-masked]>
> > +(C) 2011 - 2014 Srivatsa S. Bhat <[email-masked]>
> >  
> >  
> > -I. How does the regular CPU hotplug code differ from how the Suspend-to-RAM
> > -   infrastructure uses it internally? And where do they share common code?
> > +I. Differences between CPU hotplug and Suspend-to-RAM
> > +======================================================
> > +
> > +How does the regular CPU hotplug code differ from how the Suspend-to-RAM
> > +infrastructure uses it internally? And where do they share common code?
> >  
> >  Well, a picture is worth a thousand words... So ASCII art follows :-)
> >    
> 
> [...]
> 
> > @@ -101,7 +108,7 @@ execution during resume):
> >  
> >  It is to be noted here that the system_transition_mutex lock is acquired at the very
> >  beginning, when we are just starting out to suspend, and then released only
> > -after the entire cycle is complete (i.e., suspend + resume).
> > +after the entire cycle is complete (i.e., suspend + resume)::
> >    
> 
> I think that should be a period, not a colon, because it is clarifying
> the text above it (as opposed to referring to the example below it).
> 
> Other than that, for suspend-and-cpuhotplug.txt:
> 
> Acked-by: Srivatsa S. Bhat (VMware) <[email-masked]>

Ah, ok. I'll change it to:

	after the entire cycle is complete (i.e., suspend + resume).

	::

and add your acked-by.

> Regards,
> Srivatsa
> VMware Photon OS

Thanks,
Mauro